features:
  top:
  - name: "Code Suggestions for Ultimate & Premium Users"
    available_in: [gold, silver]
    documentation_link: 'https://docs.gitlab.com/ee/user/project/repository/code_suggestions.html'
    image_url: '/images/15_11/code-suggestions-loop.gif '
    reporter: nkhalwadekar
    stage: modelops
    categories:
    - 'Code Suggestions'
    issue_url: 'https://gitlab.com/groups/gitlab-org/modelops/applied-ml/code-suggestions/-/epics/3'
    description: |
      Every day, millions of developers use GitLab to contribute code. In February, we launched a closed Beta of this feature, and since then, we’ve been working hard to make [Code Suggestions](https://docs.gitlab.com/ee/user/project/repository/code_suggestions.html) available to more developers. During Beta, Code Suggestions is free for all Ultimate and Premium customers. Group admins can enable this setting with a new [group-level control](https://docs.gitlab.com/ee/user/project/repository/code_suggestions.html#group-level-setting). Depending on the prompt, the extension either provides entire code snippets, like generating functions, or completes the current line. To accept the suggestions, simply press Tab.

      GitLab Code Suggestions can improve developer productivity, focus, and innovation without context switching and within a single DevSecOps platform. Please note that this is a high-demand [Beta feature](https://docs.gitlab.com/ee/policy/alpha-beta-support.html#beta) and may have unscheduled downtime. During Beta, it may also produce low-quality or incomplete suggestions. Read about [known limitations](https://docs.gitlab.com/ee/user/project/repository/code_suggestions.html#known-limitations). We are continuously iterating to improve Code Suggestions and make it better. Give it a try, and [share your feedback with us](https://gitlab.com/gitlab-org/gitlab/-/issues/405152).
